Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.6 (#161)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.swixml.layoutconverters
Class FlowLayoutConverter

    java.lang.Object
      org.swixml.layoutconverters.FlowLayoutConverter

All Implemented Interfaces:
  LayoutConverter

    public class FlowLayoutConverter

extends Object
implements LayoutConverter

A layout converter for `java.awt.FlowLayout`.

Examples:

     <panel layout="FlowLayout">
       <panel ... />
       <panel ... />
     </panel>

     <panel layout="FlowLayout(FlowLayout.RIGHT)">
       ...
     </panel>

     <panel layout="FlowLayout(FlowLayout.LEFT, 1, 2)">
       ...
     </panel>

     <panel>
       <layout type="FlowLayout" alignment="FlowLayout.RIGHT"/>
       ...
     </panel>

     <panel>
       <layout type="FlowLayout" alignment="FlowLayout.LEFT" hgap="10" vgap="20"/>
       ...
     </panel>

Author:
  Karl Tauber, Wolf Paulus

Constructor Summary
`FlowLayoutConverter()`

Method Summary
`Object` | `convertConstraintsAttribute(Attribute attr)` Returns always `null`.
`Object` | `convertConstraintsElement(Element element)` Returns always `null`.
`LayoutManager` | `convertLayoutAttribute(Attribute attr)` Creates a FlowLayout instance.
`LayoutManager` | `convertLayoutElement(Element element)` Creates a FlowLayout instance.
`String` | `getID()` Returns "flowlayout".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowLayoutConverter

    public FlowLayoutConverter()

Method Detail

### getID

    public String getID()

  Returns "flowlayout".

  Specified by:
    `getID` in interface `LayoutConverter`

### convertLayoutAttribute

    public LayoutManager convertLayoutAttribute(Attribute attr)

  Creates a FlowLayout instance.

  Examples for Valid XML attribute notations:

  - `layout="FlowLayout"`
  - `layout="FlowLayout(int align)"`
  - `layout="FlowLayout(int align, int hgap, int vgap)"`

  Specified by:
    `convertLayoutAttribute` in interface `LayoutConverter`

### convertLayoutElement

    public LayoutManager convertLayoutElement(Element element)

  Creates a FlowLayout instance.

  Attributes:

  - `alignment` (optional): The horizontal alignment.
  - `hgap` (optional): The horizontal gap.
  - `vgap` (optional): The vertical gap.

  Examples for Valid XML element notations:

  - `<layout type="FlowLayout"/>`
  - `<layout type="FlowLayout" alignment="FlowLayout.LEFT"/>`
  - `<layout type="FlowLayout" alignment="FlowLayout.LEFT" hgap="10" vgap="20"/>`

  Specified by:
    `convertLayoutElement` in interface `LayoutConverter`

### convertConstraintsAttribute

    public Object convertConstraintsAttribute(Attribute attr)

  Returns always `null`.

  Specified by:
    `convertConstraintsAttribute` in interface `LayoutConverter`

### convertConstraintsElement

    public Object convertConstraintsElement(Element element)

  Returns always `null`.

  Specified by:
    `convertConstraintsElement` in interface `LayoutConverter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.6 (#161)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 - 2011 - Wolf Paulus - wolfpaulus.com. All rights reserved.